Skip to navigation

List deliveries

List recent deliveries. The newest delivery is first. Each delivery has the body that the system sent and the last error. Only the guaranteed events are in the list. The system never records best-effort events.

Authentication

AuthorizationBearer

An API key. Send it as Authorization: Bearer ccc_live_…

Query parameters

endpoint_idstring or nullOptionalformat: "uuid"
statusstring or nullOptionalformat: "^(pending|delivered|dead)$"
limitintegerOptional1-200Defaults to 50

Response

Successful Response
idstringformat: "uuid"
endpoint_idstringformat: "uuid"
event_idstringformat: "uuid"
event_typestring
statusstring
attemptsinteger
next_attempt_atdatetime or null
last_errorstring or null
occurred_atdatetime
created_atdatetime
payloadmap from strings to any

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error